summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index e986e74..68b8da3 100755
--- a/install.sh
+++ b/install.sh
@@ -12,6 +12,18 @@ else
exit 1
fi
+if [ -x "$(command -v cc)" ]
+then
+ echo "SUCCESS: cc is installed"
+else
+ echo "ERROR: cc does not seem to be installed."
+ echo "Please download (g)cc using your package manager."
+ echo "OSX: xcode-select --install"
+ echo "Deb: sudo apt install gcc"
+ echo "Yum: sudo yum -y install gcc"
+ exit 1
+fi
+
if [ -x "$(command -v rustc)" ]
then
echo "SUCCESS: Rust is installed"